Subject: Re: bug#68444: Optimization / Staying in the complete /Feature request

From: Stefan Kangas <[email-masked]>
Date: Sun, 14 Jan 2024 04:25:04 -0600

sir robert downey senior <[email-masked]> writes:

> Plz consider speeding up the launch time of Emacs make it on par with
> Neovim atleast may with some cut down features or using a selective reduced
> modules in terminal. My primary use on Emacs is with note taking in Org
> mode, launch time for with highly modded Emacs is some 25 seconds, more or
> less same time even in terminal 'emacs -nw' command, I don't want to use
> the daemon thingy and for neovim with neorg it's just 1.5 seconds am on
> some legacy 2002 old hardware. So sadly I am taking use of neovim with
> neorg. As trend and acceptability of rust increasing we will see more
> feature rich and quicker note taking apps performance.
> I understand Emacs is itself is an standalone operating system but not so
> privileged people also use this platform and to abandon so many is cutting
> own following, one trend which am seeing is on neovim they are wanna be
> Emacs, almost every 3rd plugin is being copied somewhere even the Emacsconf
> is replicated some way.

Thanks for the bug report.

My recommendation is searching online for how to make Emacs start
faster.  This typically involves using autoloads, to make packages load
only when they are actually needed.  We encourage package authors to
prefer using that in their installation instructions, but it is not
always the case.

But I don't think this is strictly a bug in Emacs, as I don't see
anything here that is actionable.

For further assistance, instead of using our bug tracker, you will have
better luck using support forums instead, like the help-gnu-emacs
mailing list, Reddit, IRC, EmacsWiki, and so on.

PS.  For what it's worth, my Emacs loads hundreds of packages and starts
     in 1.5 seconds.